# Uses of Enum Class
org.openoffice.da.comp.w2lcommon.filter.UNOPublisher.TargetFormat

Packages that use UNOPublisher.TargetFormat
Package
Description
org.openoffice.da.comp.w2lcommon.filter
org.openoffice.da.comp.writer2latex
org.openoffice.da.comp.writer2xhtml

## Uses of UNOPublisher.TargetFormat in org.openoffice.da.comp.w2lcommon.filter

Methods in org.openoffice.da.comp.w2lcommon.filter that return UNOPublisher.TargetFormat
Modifier and Type
Method
Description
`static UNOPublisher.TargetFormat`
UNOPublisher.TargetFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UNOPublisher.TargetFormat[]`
UNOPublisher.TargetFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.openoffice.da.comp.w2lcommon.filter with parameters of type UNOPublisher.TargetFormat
Modifier and Type
Method
Description
`protected String`
UNOPublisher.`getTargetURL(UNOPublisher.TargetFormat format)`
`protected void`
UNOPublisher.`postProcess(String sTargetURL, UNOPublisher.TargetFormat format)`
Post process the document after conversion.
`boolean`
UNOPublisher.`publish(UNOPublisher.TargetFormat format)`
Publish the document associated with this `UNOPublisher`.

## Uses of UNOPublisher.TargetFormat in org.openoffice.da.comp.writer2latex

Methods in org.openoffice.da.comp.writer2latex with parameters of type UNOPublisher.TargetFormat
Modifier and Type
Method
Description
`protected void`
LaTeXUNOPublisher.`postProcess(String sURL, UNOPublisher.TargetFormat format)`
Postprocess the converted document with LaTeX and display the result

## Uses of UNOPublisher.TargetFormat in org.openoffice.da.comp.writer2xhtml

Methods in org.openoffice.da.comp.writer2xhtml with parameters of type UNOPublisher.TargetFormat
Modifier and Type
Method
Description
`protected void`
XhtmlUNOPublisher.`postProcess(String sURL, UNOPublisher.TargetFormat format)`
Display the converted document depending on user settings